<template lang="pug">
  div.column.items-center.self-center.full-width.height-70
    span.text-h4.text-center.q-pb-xl.width-80 Encontre uma família e veja quem divide melhor as tarefas
    q-input(color="black" bg-color="white" outlined v-model="codigo" label="Código da família").q-py-xs
    q-btn(color="secondary" text-color="white" glossy label="Encontre uma família amiga" @click="conectarFamilias()").q-my-xl
</template>

<script>
import { QInput, QBtn } from 'quasar'
import { mapActions } from 'vuex'

export default {
  name: 'ConectarFamiliar',
  components: {
    QInput,
    QBtn
  },
  data () {
    return {
      codigo: ''
    }
  },
  methods: {
    ...mapActions( 'family', [
      'conectar'
    ]),
    conectarFamilias () {
      this.conectar(this.codigo)
    }
  }
}
</script>

<style lang="stylus" scoped>
.height-70
  height 70%
</style>